Bug 68609 - /etc/tmp.XXXXXX files left around in some cases
/etc/tmp.XXXXXX files left around in some cases
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 13:55 EDT by Lon Hohberger
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 17:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file (64.74 KB, application/octet-stream)
2002-07-11 13:57 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Lon Hohberger 2002-07-11 13:55:50 EDT
Description of Problem:
Aashu Virmani of Winphoria found a bug in some cases where literally thousands
of /etc/tmp.XXXXXX files become created.

Version-Release number of selected component (if applicable):
1.0.11

How Reproducible:
I have not successfully reproduced the problem.

Additional Information:

This behavior is exhibited after the following behavior is noted in the logs:

Jul  9 15:25:09 nmhost01 clusvcmgrd[5043]: <info> Starting stopped service wms_cb2 
Jul  9 15:25:10 nmhost01 clusvcmgrd: [5044]: <notice> service notice: Starting
service wms_cb2 ... 
Jul  9 15:25:10 nmhost01 clusvcmgrd: [5044]: <err> service error: 'mount -t ext3
-o rw,nosuid,sync /dev/sde6 /cluster/cdr/cdrcp02' failed, error=16 
Jul  9 15:25:10 nmhost01 clusvcmgrd: [5044]: <err> service error: can't link
lock file /etc/mtab~: No such file or directory (use -n flag to override) 
Jul  9 15:25:10 nmhost01 clusvcmgrd: [5044]: <err> service error: Cannot start
filesystems for wms_cb2 
Jul  9 15:25:10 nmhost01 clusvcmgrd: [5124]: <notice> service notice: Stopping
service wms_cb2 ... 
Jul  9 15:25:10 nmhost01 clusvcmgrd: [5124]: <notice> service notice: Running
user script '/opt/WMS/cluster/wms_cb2.sh stop' 
Jul  9 15:25:10 nmhost01 clulog[5157]: <info> Running user stop script for
service wms_cb2 
Jul  9 15:25:11 nmhost01 clusvcmgrd: [5124]: <info> service info: stty: standard
input: Inappropriate ioctl for device 
Jul  9 15:25:11 nmhost01 clusvcmgrd: [5124]: <info> service info: stty: standard
input: Inappropriate ioctl for device 
Jul  9 15:25:12 nmhost01 clusvcmgrd: [5124]: <info> service info: /dev/sde6 is
not mounted 
Jul  9 15:25:14 nmhost01 clusvcmgrd: [5124]: <notice> service notice: Stopped
service wms_cb2 ... 
Jul  9 15:28:54 nmhost01 clusvcmgrd[5590]: <info> Starting disabled service wms_cb2 
Jul  9 15:28:54 nmhost01 clusvcmgrd: [5591]: <notice> service notice: Starting
service wms_cb2 ... 
Jul  9 15:28:54 nmhost01 clusvcmgrd: [5591]: <err> service error: 'mount -t ext3
-o rw,nosuid,sync /dev/sde6 /cluster/cdr/cdrcp02' failed, error=32 
Jul  9 15:28:54 nmhost01 clusvcmgrd: [5591]: <err> service error: mount:
/dev/sde6 already mounted or /cluster/cdr/cdrcp02 busy 
Jul  9 15:28:55 nmhost01 clusvcmgrd: [5591]: <err> service error: Cannot start
filesystems for wms_cb2 
Jul  9 15:28:55 nmhost01 clusvcmgrd: [5670]: <notice> service notice: Stopping
service wms_cb2 ... 
Jul  9 15:28:55 nmhost01 clusvcmgrd: [5670]: <notice> service notice: Running
user script '/opt/WMS/cluster/wms_cb2.sh stop' 
Jul  9 15:28:55 nmhost01 clulog[5702]: <info> Running user stop script for
service wms_cb2 
Jul  9 15:28:55 nmhost01 clusvcmgrd: [5670]: <info> service info: stty: standard
input: Inappropriate ioctl for device 
Jul  9 15:28:55 nmhost01 clusvcmgrd: [5670]: <info> service info: stty: standard
input: Inappropriate ioctl for device 
Jul  9 15:28:56 nmhost01 clusvcmgrd: [5670]: <info> service info: /dev/sde6 is
not mounted 
Jul  9 15:28:58 nmhost01 clusvcmgrd: [5670]: <notice> service notice: Stopped
service wms_cb2 ... 

Now, the "stty" errors are not our problem; they are the result of user-plug-in
scripts associated with service.  The problems in question are (1) after this
happens, when CFG_WriteFile() is called, it appears that the files are no longer
renamed/updated for some reason and (2) mount is complaining that /etc/mtab
doesn't exist while trying to create the lock file named "/etc/mtab~"!
Comment 1 Lon Hohberger 2002-07-11 13:57:04 EDT
Created attachment 64864 [details]
Log file
Comment 2 Lon Hohberger 2002-07-16 11:08:53 EDT
I have found some temp files laying around in /etc.  As a possible fix, I've
implemented file locking (fcntl) and synchronous operation in parseconf.c in my
sandbox.  Going to do some more testing.
Comment 3 Lon Hohberger 2002-07-17 18:03:47 EDT
Potential fix in pool.  Will have testing performed before closing.
Comment 4 Lon Hohberger 2002-07-18 17:36:07 EDT
Sent package with potential fix to person who is having this problem.  Ideally
fixes the temp file problem, but not necessarily the mtab problem.
Comment 5 Lon Hohberger 2002-08-30 15:28:35 EDT
This has not been reproduced by testers.  I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.